<?
# Автор движка: InstalScript
# vk.com/k.karamin  - Я Вк
# bymas.ru/id3741  - Я на бумасе
# Специально для обитателей bymas.ru
# Ток на бумасе можно найти моды для данного движка

require_once($_SERVER['DOCUMENT_ROOT']."/instalscript/game/inc/function.php");
head("Чат",$uid);

echo "

<div class = 'trnt-block'>
<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>
<div class = 'wrap-content'>";

echo logs();logn();

switch($is['1']){
default:


if($is['2'] == 'form-check'){
$text = check($_POST['postText']);

$repeat_msg = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat` WHERE `uid` = '".$uid."'AND `text` = '".$text."' AND `time` > '".(time()-300)."' ")); # or die(mysql_error());
if(empty($text)){logi("Пустое сообщение");header("Location:/chat/".$is['1']."/");exit();}
if(mb_strlen($text) > '250'){logi("Сообщение не должно быть боль 250 сим.");header("Location:/chat/".$is['1']."/");exit();}
if($text == $repeat_msg['text']){logi("Сообщение повторяет предыдущие");header("Location:/chat/".$is['1']."/");exit();}

if($is['3'] == 'cit'){
$msg_cit = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat` WHERE `id` = '".abs($is['4'])."' "));
if($msg_cit['uid'] == $uid){logi("Цитировать себя запрещено");header("Location:/chat/".$talk['id']."/".abs($is['4'])."/");exit();}
if($msg_cit == null){logi("Сообщение для цитирования не найдено");header("Location:/chat/".$talk['id']."/".abs($is['4'])."/");exit();}
mysql_query("INSERT INTO `chat` SET `uid` = '".$uid."',`time` = '".(time())."',`type` = '1',`did` = '".$msg_cit['id']."',`text` = '".$text."' ")or die(mysql_error());
}
elseif($is['3'] == 'otv'){
$msg_otv = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat` WHERE `id` = '".abs($is['4'])."' "));
if($msg_otv['uid'] == $uid){logi("Отвечать себе запрещено");header("Location:/chat/".$talk['id']."/".abs($is['4'])."/");exit();}
if($msg_otv == null){logi("Сообщение для ответа не найдено");header("Location:/chat/".$talk['id']."/".abs($is['4'])."/");exit();}
mysql_query("INSERT INTO `chat` SET `uid` = '".$uid."',`time` = '".(time())."',`type` = '2',`did` = '".$msg_otv['id']."',`text` = '".$text."' ")or die(mysql_error());
}
else{
mysql_query("INSERT INTO `chat` SET `uid` = '".$uid."',`time` = '".(time())."',`type` = '0',`text` = '".$text."' ")or die(mysql_error());
}


header("Location:/chat/".$is['1']."/");
}


if($is['2'] == 'cit'){
$msg_cit = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat` WHERE `id` = '".abs($is['3'])."' "));
if($msg_cit['uid'] == $uid){logi("Цитировать себя запрещено");header("Location:/chat/".abs($is['1'])."/");exit();}
if($msg_cit == null){logi("Сообщение для цитирования не найдено");header("Location:/chat/".abs($is['1'])."/");exit();}
echo "<div class = 'white cntr bold m5'>Цитировать сообщение танкиста ".user($msg_cit['uid'],'1')."</div>";
echo "
<div class = 'trnt-block mb2'>
<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>
<div class = 'wrap-content-mini'><div class = 'mt5 mb5 small green1 cntr'>".$msg_cit['text']."</div></div>
</div></div></div></div></div></div></div></div>
</div>
";
echo "<a class = 'simple-but gray mb5' href = '/chat/".abs($is['1'])."/'><span><span>Отменить</span></span></a>";
echo "<form w:id = 'postForm' id = 'id1' method = 'post' action = '/chat/".abs($is['1'])."/form-check/cit/".$msg_cit['id']."'>";
}
elseif($is['2'] == 'otv'){
$msg_otv = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat` WHERE `id` = '".abs($is['3'])."' "));
if($msg_otv['uid'] == $uid){logi("Отвечать себе запрещено");header("Location:/chat/".abs($is['1'])."/");exit();}
if($msg_otv == null){logi("Сообщение для ответа не найдено");header("Location:/chat/".abs($is['1'])."/");exit();}
echo "<div class = 'white cntr bold m5'>Ответить на сообщение танкиста ".user($msg_otv['uid'],'1')."</div>";
echo "
<div class = 'trnt-block mb2'>
<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>
<div class = 'wrap-content-mini'><div class = 'mt5 mb5 small green1 cntr'>".$msg_otv['text']."</div></div>
</div></div></div></div></div></div></div></div>
</div>
";
echo "<a class = 'simple-but gray mb5' href = '/chat/".abs($is['1'])."/'><span><span>Отменить</span></span></a>";
echo "<form w:id = 'postForm' id = 'id1' method = 'post' action = '/chat/".abs($is['1'])."/form-check/otv/".$msg_otv['id']."'>";

}
else{
echo "<form w:id = 'postForm' id = 'id1' method = 'post' action = '/chat/".abs($is['1'])."/form-check/'>";
}


echo "
<div style = 'width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden'>
<input type = 'hidden' name = 'id1_hf_0' id = 'id1_hf_0'></div>
<table class = 'chat-msg-panel mt10 mb6'>
<tbody><tr>
<td class = 'msg'>
<div class = 'trnt-block mb0'>
<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>
<div class = 'p5'>
<textarea class = 'msg-textarea' name = 'postText'></textarea>
</div>
</div></div></div></div></div><div></div></div></div></div>
</div>
</td>
<td class = 'btn'><span class = 'input-but mb0'><span><input type = 'submit' value = '&nbsp;ok&nbsp;'></span></span></td>
</tr>
</tbody></table>
</form>
";
echo "<a class = 'simple-but gray mb5' href = '/chat/'><span><span>Обновить</span></span></a>";

$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `chat` "),0);
$str = '20'; # кол-во записей для вывода
$url = "/chat"; # ссылка
$num = abs($is['1']); # текущая страница
$result = $count; # подсчёт
$msg_q = mysql_query("SELECT * FROM `chat` ORDER BY `time` DESC LIMIT ".page($num,$str,$result).",$str ");
while($msg = mysql_fetch_assoc($msg_q)){

if($msg['type'] == '1'){
$msg_ct = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat` WHERE `id` = '".$msg['did']."' "));
echo "<a w:id = 'profileLink' class = 'yellow1 td_u' href = '/profile/".$msg['uid']."/'>".user($msg['uid'],'1')." </a>,";
echo " <span w:id = 'text' class = 'white sh_b bold small'>".$msg['text']."</span>";
echo " <span class = 'white'>[цит]</span> ";
echo " <span w:id = 'text' class = 'white sh_b bold small'>".$msg_ct['text']."</span>";
if($msg['uid'] != $uid){
echo " <a title = 'Цитировать' w:id = 'replyLink' class = 'gray1' href = '/chat/".$num."/cit/".$msg['id']."/'>[цит]</a><a title = 'Личное сообщение' w:id = 'replyLink' class = 'gray1' href = '/profile/new-pm/".$msg['uid']."/'>[лс]</a><a title = 'Ответить' w:id = 'replyLink' class = 'gray1' href = '/chat/".$num."/otv/".$msg['id']."/'>[отв]</a>";
}
echo "<a w:id = 'profileLink' class = 'yellow1 td_u' href = '/profile/".$msg_ct['uid']."/'>".user($msg_ct['uid'],'1')." </a>";

}
elseif($msg['type'] == '2'){
$msg_otv = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat` WHERE `id` = '".$msg['did']."' "));
echo "<a w:id = 'profileLink' class = 'yellow1 td_u' href = '/profile/".$msg['uid']."/'>".user($msg['uid'],'1')." </a>,";
echo " <span w:id = 'text' class = 'white sh_b bold small'>".$msg['text']."</span>";
echo " <span class = 'white'>[отв]</span> ";
# echo " <span w:id = 'text' class = 'white sh_b bold small'>".user($msg_otv['uid'],'1')."</span>";
if($msg['uid'] != $uid){
echo " <a title = 'Цитировать' w:id = 'replyLink' class = 'gray1' href = '/chat/".$num."/cit/".$msg['id']."/'>[цит]</a><a title = 'Личное сообщение' w:id = 'replyLink' class = 'gray1' href = '/profile/new-pm/".$msg['uid']."/'>[лс]</a><a title = 'Ответить' w:id = 'replyLink' class = 'gray1' href = '/chat/".$num."/otv/".$msg['id']."/'>[отв]</a>";
}
echo "<a w:id = 'profileLink' class = 'yellow1 td_u' href = '/profile/".$msg_otv['uid']."/'>".user($msg_otv['uid'],'1')." </a>";

}
elseif($uid == $msg['uid']){
echo "<a w:id = 'profileLink' class = 'yellow1 td_u' href = '/profile/".$msg['uid']."/'>".user($msg['uid'],'1')." </a>,";
echo " <span w:id = 'text' class = 'white sh_b bold small'>".$msg['text']."</span>";
}else{
echo "<a w:id = 'profileLink' class = 'yellow1 td_u' href = '/profile/".$msg['uid']."/'>".user($msg['uid'],'1')." </a>,";
echo " <span w:id = 'text' class = 'white sh_b bold small'>".$msg['text']."</span>";
echo " <a title = 'Цитировать' w:id = 'replyLink' class = 'gray1' href = '/chat/".$num."/cit/".$msg['id']."/'>[цит]</a><a title = 'Ответить' w:id = 'replyLink' class = 'gray1' href = '/chat/".$num."/otv/".$msg['id']."/'>[отв]</a><a title = 'Личное сообщение' w:id = 'replyLink' class = 'gray1' href = '/profile/new-pm/".$msg['uid']."/'>[лс]</a>";
}

echo "</br>";
}


if($count > '250'){mysql_query("DELETE FROM `chat` ");} # Если в базе будет больше 250 сообщений, чистим

ppage($url,$num,$str,$result);

# */




echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/angar/'><span><span>В ангар</span></span></a></div>";

break;

}

echo "
</div>
</div></div></div></div></div></div></div></div>
</div>
";



foot($uid);

?>